package com.steering.pss.sale.order.bomGeneration.model;

public class SlmBaseMaterialKPlEntity {
	/**
	 * 投入物料编码
	 */
	private String inMaterialNo = "";
	/**
	 * 投入物料描述
	 */
	private String inMaterialDesc = "";
	/**
	 * 产出物料编码
	 */
	private String outMaterialNo = "";
	/**
	 * 产出物料描述
	 */
	private String outMaterialDesc = "";
	/**
	 * 产线代码
	 */
	private String plineCode = "";
	/**
	 * 产线描述
	 */
	private String plineName = "";
	/**
	 * 小时能力(t/h)
	 */
	private String hrCapcty = "";
	/**
	 * 成材率(%)
	 */
	private String prdRate = "";
	/**
	 * 优先级
	 */
	private String plineLevel = "";
	/**
	 * 万只废品数
	 */
	private String wasteRate = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 删除人
	 */
	private String deleteName = "";
	/**
	 * 删除时间
	 */
	private String deleteTime = "";

	/**
	 * 投入物料编码
	 * 
	 * @return value
	 */
	public String getInMaterialNo() {
		return inMaterialNo;
	}

	/**
	 * 投入物料编码
	 * 
	 * @param inMaterialNo
	 *            value
	 */
	public void setInMaterialNo(String inMaterialNo) {
		this.inMaterialNo = inMaterialNo;
	}

	/**
	 * 投入物料描述
	 * 
	 * @return value
	 */
	public String getInMaterialDesc() {
		return inMaterialDesc;
	}

	/**
	 * 投入物料描述
	 * 
	 * @param inMaterialDesc
	 *            value
	 */
	public void setInMaterialDesc(String inMaterialDesc) {
		this.inMaterialDesc = inMaterialDesc;
	}

	/**
	 * 产出物料编码
	 * 
	 * @return value
	 */
	public String getOutMaterialNo() {
		return outMaterialNo;
	}

	/**
	 * 产出物料编码
	 * 
	 * @param outMaterialNo
	 *            value
	 */
	public void setOutMaterialNo(String outMaterialNo) {
		this.outMaterialNo = outMaterialNo;
	}

	/**
	 * 产出物料描述
	 * 
	 * @return value
	 */
	public String getOutMaterialDesc() {
		return outMaterialDesc;
	}

	/**
	 * 产出物料描述
	 * 
	 * @param outMaterialDesc
	 *            value
	 */
	public void setOutMaterialDesc(String outMaterialDesc) {
		this.outMaterialDesc = outMaterialDesc;
	}

	/**
	 * 产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 产线描述
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 产线描述
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 小时能力(t/h)
	 * 
	 * @return value
	 */
	public String getHrCapcty() {
		return hrCapcty;
	}

	/**
	 * 小时能力(t/h)
	 * 
	 * @param hrCapcty
	 *            value
	 */
	public void setHrCapcty(String hrCapcty) {
		this.hrCapcty = hrCapcty;
	}

	/**
	 * 成材率(%)
	 * 
	 * @return value
	 */
	public String getPrdRate() {
		return prdRate;
	}

	/**
	 * 成材率(%)
	 * 
	 * @param prdRate
	 *            value
	 */
	public void setPrdRate(String prdRate) {
		this.prdRate = prdRate;
	}

	/**
	 * 优先级
	 * 
	 * @return value
	 */
	public String getPlineLevel() {
		return plineLevel;
	}

	/**
	 * 优先级
	 * 
	 * @param plineLevel
	 *            value
	 */
	public void setPlineLevel(String plineLevel) {
		this.plineLevel = plineLevel;
	}

	/**
	 * 万只废品数
	 * 
	 * @return value
	 */
	public String getWasteRate() {
		return wasteRate;
	}

	/**
	 * 万只废品数
	 * 
	 * @param wasteRate
	 *            value
	 */
	public void setWasteRate(String wasteRate) {
		this.wasteRate = wasteRate;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}
}
